手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

手把手教你在Ubuntu 10.04下安装QT集成开发环境

[日期:2011-09-26] 来源:Linux社区  作者:songjinshi [字体: ]

在安装QT集成开发工具包之前需要先安装build-essential和libncurses5-dev这两个开发工具和库,libncurses5-dev库是一个在Linux/Unix下广泛应用的图形函数库,build-essential里面包括一些Linux下开发的必要工具。

Ubuntu中我们使用QT进行开发也用到了这两个工具库。

安装命令为:sudo apt-get install build-essential libncurses5-dev。

在这个库安装完成后就可以安装QT开发工具包了,具体安装步骤如下:

1、下载QT SDK安装包。

2、在安装包所在路径执行命令:

sudo chmod u+x qt-sdk-linux-x86-opensource-2010.04

sudo ./ qt-sdk-linux-x86-opensource-2010.04

3、安装完成后编译一个自带的例子,看是否能够正常编译运行,如果能够运行则证明已经安装成功。

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款